<?php

namespace Highwaypro\App\Data\Model\Preferences;

use HighWayPro\Original\Collections\Collection;
use HighwayPro\Original\Collections\Mapper\Types;
use Highwaypro\App\Data\Model\Preferences\Preferences;

Class PrivacyPreferences extends Preferences
{
    static public function fields()
    {
        return new Collection([
            // this is the default preset to use when for the click analytics
            'propertyToGetUserIP' => Types::STRING()->allowed([
                                                "Default" => '$_SERVER[\'REMOTE_ADDR\']', // native PHP REMOTE_ADDR
                                                "CloudFlare" => 'SERVER_HTTP_CF_CONNECTING_IP', // CLOUDFLARE,
                                                "Sucuri" => 'SERVER_HTTP_X_SUCURI_CLIENTIP', // SUCURI
                                                "\$_SERVER['X_FORWARDED_FOR']" => 'SERVER_HTTP_X_FORWARDED_FOR',

                                              ])
                                              ->withDefault('Default'),
        ]);
    }
    
    protected function getMap()
    {
        return static::fields()->asArray();
    }
}