<?php

namespace HighWayPro\App\Handlers;

use HighWayPro\App\HighWayPro\Shortcodes\URLShortcode;
use HighWayPro\Original\Environment\Env;
use HighWayPro\Original\Events\Handler\EventHandler;
use Highwaypro\App\Data\Model\Preferences\PostPreferences;

Class FrontEndScriptsRegistrator extends EventHandler
{
    protected $numberOfArguments = 1;
    protected $priority = 10;

    protected function getClickManagerScriptName()
    {
        return Env::id().'clickmanager';   
    }
    

    public function execute()
    {
        wp_enqueue_script( 
            $this->getClickManagerScriptName(), 
            Env::directoryURI().'app/scripts/frontend/clickmanager.js', 
            [
                'jquery'
            ]
        );

        wp_localize_script(
            $this->getClickManagerScriptName(),
            $variableName = 'HighWayPro', 
            $data = [
                'classes' => [
                    'HPLink' => URLShortcode::LINK_CLASS,
                    'JIT' => URLShortcode::JIT_CLASS
                ],
                'attributeNames' => [
                    'JIT' => URLShortcode::ATTRIBUTE_SHORT_URL
                ],
                'IN_SITU_TARGET' => PostPreferences::BEHAVIOUR_IN_SITU
            ]
        );
    }
}