<?php

namespace HighWayPro\App\HighWayPro\DestinationComponents\BuiltIn\Targets;

use HighWayPro\App\HighWayPro\DestinationComponents\DestinationTargetComponent;
use HighWayPro\Original\Environment\Env;
use HighwayPro\App\HighwayPro\HTTP\Responses\Image;

Class PixelTarget extends DestinationTargetComponent
{
    const name  = 'highwaypro.PixelTarget';

    public static function title()
    {
        return __('Tracking Pixel Image', Env::textDomain());
    }

    public static function shortDescription()
    {
        return __('1x1px image for tracking.', Env::textDomain());
    }

    public static function description()
    {
        return __("Use this URL as a transparent 1x1 pixel image URL that you can use to track everyone who opens it.", Env::textDomain());
    }

    protected function parametersMap()
    {
        return [
        ];
    }

    protected function getRawURL()
    {
        //return $this->getUrlWithScheme($this->destination->getUrl());
    }

    public function response()
    {
        return (new Image)->fromSource(Env::directory().'storage/media/pixel.png');
    }

    public function validateParameters()
    {
        return true;
    }
}